put into 1 list...

Discussion in 'AutoCAD' started by caduser, Jul 29, 2003.

  1. caduser

    caduser Guest

    (setq pt (getpoint "\nOrigin point :"))
    (setq sel:eek:bj (ssget '((0 . "Insert"))))
    ;;;i was add XData with many type in the block with same block name
    ;;;exm: "wirecut to size" "wirecut +0.005/s" "drill thru" "drill %%c4"
    (setq i 0)
    (setq obj:qty (sslength sel:eek:bj))
    (repeat obj:qty
    (setq obj:ent (ssname sel:eek:bj i))
    (setq in:xyz(cdr(assoc 10(entget obj:ent))))
    (setq x(- (car in:xyz)(car pt)))
    (setq y(- (cadr in:xyz)(cadr pt)))
    (setq txt2(cadr(assoc -3(entget obj:ent '("WCHOLE")))))
    (setq txt3(cdr(nth 1 txt2 )))
    (setq i(1+ i))
    ;;; my problem is how to put each txt2 value into 1 list after eazy
    ;;; to sorting
     
    caduser, Jul 29, 2003
    #1
  2. See comments inside your code...
    --
    Jeroen Berkers
    A2k - W98SE
    ;;;
    (setq txt2_list '())
    ;;;
    ;;;
    (setq txt2_list (cons txt2 txt2_list))
    ;;;
    ;;;
    ) ; end repeat
    ;;;
     
    jeroenberkers, Jul 30, 2003
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.